// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: generationmodule/generationmodule.proto

package openfmb.generationmodule;

/**
 * <pre>
 * Specialized 61850 ZGEN class
 * </pre>
 *
 * Protobuf type {@code generationmodule.GenerationStatusZGEN}
 */
public final class GenerationStatusZGEN extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:generationmodule.GenerationStatusZGEN)
    GenerationStatusZGENOrBuilder {
private static final long serialVersionUID = 0L;
  // Use GenerationStatusZGEN.newBuilder() to construct.
  private GenerationStatusZGEN(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private GenerationStatusZGEN() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new GenerationStatusZGEN();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatusZGEN_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatusZGEN_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.generationmodule.GenerationStatusZGEN.class, openfmb.generationmodule.GenerationStatusZGEN.Builder.class);
  }

  public static final int GENERATIONEVENTANDSTATUSZGEN_FIELD_NUMBER = 1;
  private openfmb.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the generationEventAndStatusZGEN field is set.
   */
  @java.lang.Override
  public boolean hasGenerationEventAndStatusZGEN() {
    return generationEventAndStatusZGEN_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   * @return The generationEventAndStatusZGEN.
   */
  @java.lang.Override
  public openfmb.generationmodule.GenerationEventAndStatusZGEN getGenerationEventAndStatusZGEN() {
    return generationEventAndStatusZGEN_ == null ? openfmb.generationmodule.GenerationEventAndStatusZGEN.getDefaultInstance() : generationEventAndStatusZGEN_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder getGenerationEventAndStatusZGENOrBuilder() {
    return generationEventAndStatusZGEN_ == null ? openfmb.generationmodule.GenerationEventAndStatusZGEN.getDefaultInstance() : generationEventAndStatusZGEN_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (generationEventAndStatusZGEN_ != null) {
      output.writeMessage(1, getGenerationEventAndStatusZGEN());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (generationEventAndStatusZGEN_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getGenerationEventAndStatusZGEN());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.generationmodule.GenerationStatusZGEN)) {
      return super.equals(obj);
    }
    openfmb.generationmodule.GenerationStatusZGEN other = (openfmb.generationmodule.GenerationStatusZGEN) obj;

    if (hasGenerationEventAndStatusZGEN() != other.hasGenerationEventAndStatusZGEN()) return false;
    if (hasGenerationEventAndStatusZGEN()) {
      if (!getGenerationEventAndStatusZGEN()
          .equals(other.getGenerationEventAndStatusZGEN())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasGenerationEventAndStatusZGEN()) {
      hash = (37 * hash) + GENERATIONEVENTANDSTATUSZGEN_FIELD_NUMBER;
      hash = (53 * hash) + getGenerationEventAndStatusZGEN().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.generationmodule.GenerationStatusZGEN parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.generationmodule.GenerationStatusZGEN prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Specialized 61850 ZGEN class
   * </pre>
   *
   * Protobuf type {@code generationmodule.GenerationStatusZGEN}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:generationmodule.GenerationStatusZGEN)
      openfmb.generationmodule.GenerationStatusZGENOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatusZGEN_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatusZGEN_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.generationmodule.GenerationStatusZGEN.class, openfmb.generationmodule.GenerationStatusZGEN.Builder.class);
    }

    // Construct using openfmb.generationmodule.GenerationStatusZGEN.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      generationEventAndStatusZGEN_ = null;
      if (generationEventAndStatusZGENBuilder_ != null) {
        generationEventAndStatusZGENBuilder_.dispose();
        generationEventAndStatusZGENBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.generationmodule.Generationmodule.internal_static_generationmodule_GenerationStatusZGEN_descriptor;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatusZGEN getDefaultInstanceForType() {
      return openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatusZGEN build() {
      openfmb.generationmodule.GenerationStatusZGEN result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.generationmodule.GenerationStatusZGEN buildPartial() {
      openfmb.generationmodule.GenerationStatusZGEN result = new openfmb.generationmodule.GenerationStatusZGEN(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.generationmodule.GenerationStatusZGEN result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.generationEventAndStatusZGEN_ = generationEventAndStatusZGENBuilder_ == null
            ? generationEventAndStatusZGEN_
            : generationEventAndStatusZGENBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.generationmodule.GenerationStatusZGEN) {
        return mergeFrom((openfmb.generationmodule.GenerationStatusZGEN)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.generationmodule.GenerationStatusZGEN other) {
      if (other == openfmb.generationmodule.GenerationStatusZGEN.getDefaultInstance()) return this;
      if (other.hasGenerationEventAndStatusZGEN()) {
        mergeGenerationEventAndStatusZGEN(other.getGenerationEventAndStatusZGEN());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getGenerationEventAndStatusZGENFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.generationmodule.GenerationEventAndStatusZGEN, openfmb.generationmodule.GenerationEventAndStatusZGEN.Builder, openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder> generationEventAndStatusZGENBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the generationEventAndStatusZGEN field is set.
     */
    public boolean hasGenerationEventAndStatusZGEN() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     * @return The generationEventAndStatusZGEN.
     */
    public openfmb.generationmodule.GenerationEventAndStatusZGEN getGenerationEventAndStatusZGEN() {
      if (generationEventAndStatusZGENBuilder_ == null) {
        return generationEventAndStatusZGEN_ == null ? openfmb.generationmodule.GenerationEventAndStatusZGEN.getDefaultInstance() : generationEventAndStatusZGEN_;
      } else {
        return generationEventAndStatusZGENBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setGenerationEventAndStatusZGEN(openfmb.generationmodule.GenerationEventAndStatusZGEN value) {
      if (generationEventAndStatusZGENBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        generationEventAndStatusZGEN_ = value;
      } else {
        generationEventAndStatusZGENBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setGenerationEventAndStatusZGEN(
        openfmb.generationmodule.GenerationEventAndStatusZGEN.Builder builderForValue) {
      if (generationEventAndStatusZGENBuilder_ == null) {
        generationEventAndStatusZGEN_ = builderForValue.build();
      } else {
        generationEventAndStatusZGENBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeGenerationEventAndStatusZGEN(openfmb.generationmodule.GenerationEventAndStatusZGEN value) {
      if (generationEventAndStatusZGENBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          generationEventAndStatusZGEN_ != null &&
          generationEventAndStatusZGEN_ != openfmb.generationmodule.GenerationEventAndStatusZGEN.getDefaultInstance()) {
          getGenerationEventAndStatusZGENBuilder().mergeFrom(value);
        } else {
          generationEventAndStatusZGEN_ = value;
        }
      } else {
        generationEventAndStatusZGENBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearGenerationEventAndStatusZGEN() {
      bitField0_ = (bitField0_ & ~0x00000001);
      generationEventAndStatusZGEN_ = null;
      if (generationEventAndStatusZGENBuilder_ != null) {
        generationEventAndStatusZGENBuilder_.dispose();
        generationEventAndStatusZGENBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.generationmodule.GenerationEventAndStatusZGEN.Builder getGenerationEventAndStatusZGENBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getGenerationEventAndStatusZGENFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder getGenerationEventAndStatusZGENOrBuilder() {
      if (generationEventAndStatusZGENBuilder_ != null) {
        return generationEventAndStatusZGENBuilder_.getMessageOrBuilder();
      } else {
        return generationEventAndStatusZGEN_ == null ?
            openfmb.generationmodule.GenerationEventAndStatusZGEN.getDefaultInstance() : generationEventAndStatusZGEN_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.generationmodule.GenerationEventAndStatusZGEN generationEventAndStatusZGEN = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.generationmodule.GenerationEventAndStatusZGEN, openfmb.generationmodule.GenerationEventAndStatusZGEN.Builder, openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder> 
        getGenerationEventAndStatusZGENFieldBuilder() {
      if (generationEventAndStatusZGENBuilder_ == null) {
        generationEventAndStatusZGENBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.generationmodule.GenerationEventAndStatusZGEN, openfmb.generationmodule.GenerationEventAndStatusZGEN.Builder, openfmb.generationmodule.GenerationEventAndStatusZGENOrBuilder>(
                getGenerationEventAndStatusZGEN(),
                getParentForChildren(),
                isClean());
        generationEventAndStatusZGEN_ = null;
      }
      return generationEventAndStatusZGENBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:generationmodule.GenerationStatusZGEN)
  }

  // @@protoc_insertion_point(class_scope:generationmodule.GenerationStatusZGEN)
  private static final openfmb.generationmodule.GenerationStatusZGEN DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.generationmodule.GenerationStatusZGEN();
  }

  public static openfmb.generationmodule.GenerationStatusZGEN getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GenerationStatusZGEN>
      PARSER = new com.google.protobuf.AbstractParser<GenerationStatusZGEN>() {
    @java.lang.Override
    public GenerationStatusZGEN parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<GenerationStatusZGEN> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GenerationStatusZGEN> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.generationmodule.GenerationStatusZGEN getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

